Edit a test suite

PUT https://api.ap1.datadoghq.com/api/v2/synthetics/suites/{public_id}https://api.ap2.datadoghq.com/api/v2/synthetics/suites/{public_id}https://api.datadoghq.eu/api/v2/synthetics/suites/{public_id}https://api.ddog-gov.com/api/v2/synthetics/suites/{public_id}https://api.us2.ddog-gov.com/api/v2/synthetics/suites/{public_id}https://api.datadoghq.com/api/v2/synthetics/suites/{public_id}https://api.us3.datadoghq.com/api/v2/synthetics/suites/{public_id}https://api.us5.datadoghq.com/api/v2/synthetics/suites/{public_id}

Overview

This endpoint requires the synthetics_write permission.

OAuth apps require the synthetics_write authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

public_id [required]

string

The public ID of the suite to edit.

Request

Body Data (required)

New suite details to be saved.

Expand All

Field

Type

Description

data [required]

object

Data object for creating or editing a Synthetic test suite.

attributes [required]

object

Object containing details about a Synthetic suite.

message

string

Notification message associated with the suite.

monitor_id

int64

The associated monitor ID.

name [required]

string

Name of the suite.

options [required]

object

Object describing the extra options for a Synthetic suite.

alerting_threshold

double

Percentage of critical tests failure needed for a suite to fail.

public_id

string

The public ID for the test.

tags

[string]

Array of tags attached to the suite.

tests [required]

[object]

Array of Synthetic tests included in the suite.

alerting_criticality

enum

Alerting criticality for each the test. Allowed enum values: ignore,critical

public_id [required]

string

The public ID of the Synthetic test included in the suite.

type [required]

enum

Type of the Synthetic suite, suite. Allowed enum values: suite

default: suite

type [required]

enum

Type for the Synthetics suites responses, suites. Allowed enum values: suites

default: suites

{
  "data": {
    "attributes": {
      "message": "Notification message",
      "name": "Example suite name",
      "options": {
        "alerting_threshold": "number"
      },
      "tags": [
        "env:production"
      ],
      "tests": [
        {
          "alerting_criticality": "critical",
          "public_id": ""
        }
      ],
      "type": "suite"
    },
    "type": "suites"
  }
}

Response

OK

Synthetics suite response

Expand All

Field

Type

Description

data

object

Synthetics suite response data

attributes

object

Object containing details about a Synthetic suite.

message

string

Notification message associated with the suite.

monitor_id

int64

The associated monitor ID.

name [required]

string

Name of the suite.

options [required]

object

Object describing the extra options for a Synthetic suite.

alerting_threshold

double

Percentage of critical tests failure needed for a suite to fail.

public_id

string

The public ID for the test.

tags

[string]

Array of tags attached to the suite.

tests [required]

[object]

Array of Synthetic tests included in the suite.

alerting_criticality

enum

Alerting criticality for each the test. Allowed enum values: ignore,critical

public_id [required]

string

The public ID of the Synthetic test included in the suite.

type [required]

enum

Type of the Synthetic suite, suite. Allowed enum values: suite

default: suite

id

string

The public ID for the suite.

type

enum

Type for the Synthetics suites responses, suites. Allowed enum values: suites

default: suites

{
  "data": {
    "attributes": {
      "message": "Notification message",
      "monitor_id": 12345678,
      "name": "Example suite name",
      "options": {
        "alerting_threshold": "number"
      },
      "public_id": "123-abc-456",
      "tags": [
        "env:production"
      ],
      "tests": [
        {
          "alerting_criticality": "critical",
          "public_id": ""
        }
      ],
      "type": "suite"
    },
    "id": "123-abc-456",
    "type": "suites"
  }
}

API error response.

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Path parameters
export public_id="CHANGE_ME"
# Curl command
curl -X PUT "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/synthetics/suites/${public_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "message": "Notification message", "monitor_id": 12345678, "name": "Example suite name", "public_id": "123-abc-456", "tags": [ "env:production" ], "tests": [ { "alerting_criticality": "critical", "public_id": "" } ], "type": "suite" }, "type": "suites" } } EOF
"""
Edit a test suite returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.synthetics_api import SyntheticsApi
from datadog_api_client.v2.model.suite_create_edit import SuiteCreateEdit
from datadog_api_client.v2.model.suite_create_edit_request import SuiteCreateEditRequest
from datadog_api_client.v2.model.synthetics_suite import SyntheticsSuite
from datadog_api_client.v2.model.synthetics_suite_options import SyntheticsSuiteOptions
from datadog_api_client.v2.model.synthetics_suite_test import SyntheticsSuiteTest
from datadog_api_client.v2.model.synthetics_suite_test_alerting_criticality import (
    SyntheticsSuiteTestAlertingCriticality,
)
from datadog_api_client.v2.model.synthetics_suite_type import SyntheticsSuiteType
from datadog_api_client.v2.model.synthetics_suite_types import SyntheticsSuiteTypes

body = SuiteCreateEditRequest(
    data=SuiteCreateEdit(
        attributes=SyntheticsSuite(
            message="Notification message",
            name="Example suite name",
            options=SyntheticsSuiteOptions(),
            tags=[
                "env:production",
            ],
            tests=[
                SyntheticsSuiteTest(
                    alerting_criticality=SyntheticsSuiteTestAlertingCriticality.CRITICAL,
                    public_id="",
                ),
            ],
            type=SyntheticsSuiteType.SUITE,
        ),
        type=SyntheticsSuiteTypes.SUITES,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = SyntheticsApi(api_client)
    response = api_instance.edit_synthetics_suite(public_id="public_id", body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Edit a test suite returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::SyntheticsAPI.new

body = DatadogAPIClient::V2::SuiteCreateEditRequest.new({
  data: DatadogAPIClient::V2::SuiteCreateEdit.new({
    attributes: DatadogAPIClient::V2::SyntheticsSuite.new({
      message: "Notification message",
      name: "Example suite name",
      options: DatadogAPIClient::V2::SyntheticsSuiteOptions.new({}),
      tags: [
        "env:production",
      ],
      tests: [
        DatadogAPIClient::V2::SyntheticsSuiteTest.new({
          alerting_criticality: DatadogAPIClient::V2::SyntheticsSuiteTestAlertingCriticality::CRITICAL,
          public_id: "",
        }),
      ],
      type: DatadogAPIClient::V2::SyntheticsSuiteType::SUITE,
    }),
    type: DatadogAPIClient::V2::SyntheticsSuiteTypes::SUITES,
  }),
})
p api_instance.edit_synthetics_suite("public_id", body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Edit a test suite returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.SuiteCreateEditRequest{
		Data: datadogV2.SuiteCreateEdit{
			Attributes: datadogV2.SyntheticsSuite{
				Message: datadog.PtrString("Notification message"),
				Name:    "Example suite name",
				Options: datadogV2.SyntheticsSuiteOptions{},
				Tags: []string{
					"env:production",
				},
				Tests: []datadogV2.SyntheticsSuiteTest{
					{
						AlertingCriticality: datadogV2.SYNTHETICSSUITETESTALERTINGCRITICALITY_CRITICAL.Ptr(),
						PublicId:            "",
					},
				},
				Type: datadogV2.SYNTHETICSSUITETYPE_SUITE,
			},
			Type: datadogV2.SYNTHETICSSUITETYPES_SUITES,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewSyntheticsApi(apiClient)
	resp, r, err := api.EditSyntheticsSuite(ctx, "public_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `SyntheticsApi.EditSyntheticsSuite`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `SyntheticsApi.EditSyntheticsSuite`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Edit a test suite returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.SyntheticsApi;
import com.datadog.api.client.v2.model.SuiteCreateEdit;
import com.datadog.api.client.v2.model.SuiteCreateEditRequest;
import com.datadog.api.client.v2.model.SyntheticsSuite;
import com.datadog.api.client.v2.model.SyntheticsSuiteOptions;
import com.datadog.api.client.v2.model.SyntheticsSuiteResponse;
import com.datadog.api.client.v2.model.SyntheticsSuiteTest;
import com.datadog.api.client.v2.model.SyntheticsSuiteTestAlertingCriticality;
import com.datadog.api.client.v2.model.SyntheticsSuiteType;
import com.datadog.api.client.v2.model.SyntheticsSuiteTypes;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    SyntheticsApi apiInstance = new SyntheticsApi(defaultClient);

    SuiteCreateEditRequest body =
        new SuiteCreateEditRequest()
            .data(
                new SuiteCreateEdit()
                    .attributes(
                        new SyntheticsSuite()
                            .message("Notification message")
                            .name("Example suite name")
                            .options(new SyntheticsSuiteOptions())
                            .tags(Collections.singletonList("env:production"))
                            .tests(
                                Collections.singletonList(
                                    new SyntheticsSuiteTest()
                                        .alertingCriticality(
                                            SyntheticsSuiteTestAlertingCriticality.CRITICAL)
                                        .publicId("")))
                            .type(SyntheticsSuiteType.SUITE))
                    .type(SyntheticsSuiteTypes.SUITES));

    try {
      SyntheticsSuiteResponse result = apiInstance.editSyntheticsSuite("public_id", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling SyntheticsApi#editSyntheticsSuite");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// Edit a test suite returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_synthetics::SyntheticsAPI;
use datadog_api_client::datadogV2::model::SuiteCreateEdit;
use datadog_api_client::datadogV2::model::SuiteCreateEditRequest;
use datadog_api_client::datadogV2::model::SyntheticsSuite;
use datadog_api_client::datadogV2::model::SyntheticsSuiteOptions;
use datadog_api_client::datadogV2::model::SyntheticsSuiteTest;
use datadog_api_client::datadogV2::model::SyntheticsSuiteTestAlertingCriticality;
use datadog_api_client::datadogV2::model::SyntheticsSuiteType;
use datadog_api_client::datadogV2::model::SyntheticsSuiteTypes;

#[tokio::main]
async fn main() {
    let body = SuiteCreateEditRequest::new(SuiteCreateEdit::new(
        SyntheticsSuite::new(
            "Example suite name".to_string(),
            SyntheticsSuiteOptions::new(),
            vec![SyntheticsSuiteTest::new("".to_string())
                .alerting_criticality(SyntheticsSuiteTestAlertingCriticality::CRITICAL)],
            SyntheticsSuiteType::SUITE,
        )
        .message("Notification message".to_string())
        .tags(vec!["env:production".to_string()]),
        SyntheticsSuiteTypes::SUITES,
    ));
    let configuration = datadog::Configuration::new();
    let api = SyntheticsAPI::with_config(configuration);
    let resp = api
        .edit_synthetics_suite("public_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Edit a test suite returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.SyntheticsApi(configuration);

const params: v2.SyntheticsApiEditSyntheticsSuiteRequest = {
  body: {
    data: {
      attributes: {
        message: "Notification message",
        name: "Example suite name",
        options: {},
        tags: ["env:production"],
        tests: [
          {
            alertingCriticality: "critical",
            publicId: "",
          },
        ],
        type: "suite",
      },
      type: "suites",
    },
  },
  publicId: "public_id",
};

apiInstance
  .editSyntheticsSuite(params)
  .then((data: v2.SyntheticsSuiteResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"